Page MenuHomePhabricator

colorize-svg.js must support the same configuration format as MediaWiki's ResourceLoaderImageModule
Closed, ResolvedPublic1 Story Points

Description

colorize-svg.js must support the same configuration format as MediaWiki's ResourceLoaderImageModule. They have diverged since their creation, and that's blocking us from easily reusing the definitions. ResourceLoaderImageModule's format is better.

Event Timeline

matmarex created this task.Mar 23 2015, 9:52 PM
matmarex updated the task description. (Show Details)
matmarex raised the priority of this task from to High.
matmarex claimed this task.
matmarex added projects: Technical-Debt, OOUI.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2015, 9:52 PM

Change 200272 had a related patch set uploaded (by Bartosz Dziewoński):
Refactor icon handling again

https://gerrit.wikimedia.org/r/200272

Change 200275 had a related patch set uploaded (by Bartosz Dziewoński):
ResourceLoaderImageModule: Remove 'image' in descriptors to 'file'

https://gerrit.wikimedia.org/r/200275

Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.Mar 28 2015, 1:19 AM

Change 200275 merged by jenkins-bot:
ResourceLoaderImageModule: Rename 'image' in descriptors to 'file'

https://gerrit.wikimedia.org/r/200275

Change 200272 merged by jenkins-bot:
Refactor icon handling again

https://gerrit.wikimedia.org/r/200272

Most of the work is done, but the way we do ltr/rtl versions of icons is awful. T94560: Properly support ltr/rtl icon versions in colorize-svg.js tracks that. I think this is the last blocker left.

Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Apr 29 2015, 9:35 PM